Subject: [WIP] rust-build-system proposition

From: Nicolas Graves <[email-masked]>
Date: Thu, 27 Jul 2023 18:42:04 +0200

This series of patches is my current work in progress to include the
antioxidant-build-system from Maxime Devos into Guix.

I have a lot of rust packages covered, but still a few more to work on,
this series is not really here for packages for now, but to get some
feedback to improve / make the build-system play nicely with Guix.

There are already quite a few changes that I made to the original
antioxidant-build-system, and I tried to record them in commits so that
Maxime or anyone interested can take a look and see / discuss some
choices I made. 

-- 
Best regards,
Nicolas Graves